#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
@File    :   home_page_locator.py
@Time    :   2024/11/06 21:33:27
@Author  :   dulip3ng 
@Version :   1.0
@Desc    :   None
'''

class HomePageLocator:

    SEARCH_IMG_LOC = "//div[@id = 'FSEARCH']/../img"
    SEARCH_LOC = "//div[@id='FSEARCH']//input"
    BILL_LIST_ARGS_LOC = "//div[@data-role= 'listview']/li//*[text() = '%s']/ancestor::li/parent::div/li[%d]"
    ORGANIZATION_LOC = "//a[substring(@id, string-length(@id)-14)='FBTNORG-FBTNORG']"
    ORG_ITEM_ARGS_LOC = "//div[@class='k-animation-container']/ul/li/span/span[contains(text(),'%s')]"
    BILL_CLOSE_ARGS_LOC = "//ul[contains(@class, 'kdMainTabsHeaderExtend')]/descendant::span[contains(text(), '%s')]/following-sibling::span"
    WARNING_MSG_BTN_ARGS_LOC = "//div[contains(@id,'-POPFLOATEMESSAGE')]/div[contains(@id, 'btn')]/button[text() = '否']"
    ALL_OPEN_FORM_BTN_LOC = "//div[@class = 'CloudAllOpenFormBtn']"
    CLOSE_ALL_BILLS_ITEM_LOC = "//span[text() = '关闭所有页面']"
    IS_BILL_OPENING_ARGS_LOC = "//ul[contains(@class, 'kdMainTabsHeaderExtend')]/descendant::span[contains(text(), '%s')]/following-sibling::span"
    BILL_TAB_ARGS_LOC = "//ul[@class = 'k-tabstrip-items k-reset kdMainTabsHeaderExtend']//span[@class = 'k-link' and contains(text(),'%s')]"
